# Uses of Interface
org.eclipse.jdt.core.ITypeHierarchyChangedListener

Packages that use ITypeHierarchyChangedListener
Package
Description
org.eclipse.jdt.core
The Java model is the set of classes that model the objects associated with creating, editing, and building a Java program.

## Uses of ITypeHierarchyChangedListener in org.eclipse.jdt.core

Methods in org.eclipse.jdt.core with parameters of type ITypeHierarchyChangedListener
Modifier and Type
Method
Description
`void`
ITypeHierarchy.`addTypeHierarchyChangedListener(ITypeHierarchyChangedListener listener)`
Adds the given listener for changes to this type hierarchy.
`void`
ITypeHierarchy.`removeTypeHierarchyChangedListener(ITypeHierarchyChangedListener listener)`
Removes the given listener from this type hierarchy.